Enviar mensagem
curl --request POST \
--url https://api.nupapia.com.br/api/chat/conversations/{id}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"content_type": "text",
"file_url": "<string>",
"file_name": "<string>",
"subject": "<string>",
"reply_to_id": 123,
"client_message_id": "<string>"
}
'import requests
url = "https://api.nupapia.com.br/api/chat/conversations/{id}/messages"
payload = {
"content": "<string>",
"content_type": "text",
"file_url": "<string>",
"file_name": "<string>",
"subject": "<string>",
"reply_to_id": 123,
"client_message_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
content_type: 'text',
file_url: '<string>',
file_name: '<string>',
subject: '<string>',
reply_to_id: 123,
client_message_id: '<string>'
})
};
fetch('https://api.nupapia.com.br/api/chat/conversations/{id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": 123,
"body": "<string>",
"contentType": "text",
"content": "<string>",
"senderId": 123,
"file_url": "<string>",
"file_name": "<string>",
"read": true,
"read_at": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"reply_to_id": 123,
"edited_at": "2023-11-07T05:31:56Z",
"client_message_id": "<string>",
"reactions": [
{}
]
}
}Conversas
Enviar mensagem
POST
/
chat
/
conversations
/
{id}
/
messages
Enviar mensagem
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
⌘I